Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class HealthCareOrganizationTypeV2

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.HealthCareOrganizationTypeV2

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HealthCareOrganization, OrganizationAddressbookType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:19:59+01:00",
               comments="JAXB RI v2.2.11")
    public class HealthCareOrganizationTypeV2

extends Object
implements Serializable

Identifier(s) and name(s) of a healthcare organization.

Java class for HealthCareOrganizationTypeV2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HealthCareOrganizationTypeV2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:be:fgov:ehealth:aa:complextype:v1}TypeCodeType"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationTypeCode" maxOccurs="unbounded"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationTypeFriendlyName" maxOccurs="unbounded"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Name" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`HealthCareOrganizationTypeV2()`

Method Summary
`TypeCodeType` | `getId()` Gets the value of the id property.
`List<NameType>` | `getNames()` Gets the value of the names property.
`List<TypeCodeType>` | `getOrganizationTypeCodes()` Gets the value of the organizationTypeCodes property.
`List<NameType>` | `getOrganizationTypeFriendlyNames()` Gets the value of the organizationTypeFriendlyNames property.
`void` | `setId(TypeCodeType value)` Sets the value of the id property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HealthCareOrganizationTypeV2

    public HealthCareOrganizationTypeV2()

Method Detail

### getId

    public TypeCodeType getId()

  Gets the value of the id property.

  Returns:
    possible object is `TypeCodeType`

### setId

    public void setId(TypeCodeType value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `TypeCodeType`

### getOrganizationTypeCodes

    public List<TypeCodeType> getOrganizationTypeCodes()

  Gets the value of the organizationTypeCodes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypeCodes property.

  For example, to add a new item, do as follows:

          getOrganizationTypeCodes().add(newItem);

  Objects of the following type(s) are allowed in the list `TypeCodeType`

### getOrganizationTypeFriendlyNames

    public List<NameType> getOrganizationTypeFriendlyNames()

  Gets the value of the organizationTypeFriendlyNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypeFriendlyNames property.

  For example, to add a new item, do as follows:

          getOrganizationTypeFriendlyNames().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

### getNames

    public List<NameType> getNames()

  Gets the value of the names property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the names property.

  For example, to add a new item, do as follows:

          getNames().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.